Skip to content

List attached contacts

Request

You can fetch a list of all contacts that belong to a company.

Security
bearerAuth
Path
company_idstringrequired

The unique identifier for the company which is given by Intercom

Example:5f4d3c1c-7b1b-4d7d-a97e-6095715c6632
Query
pageinteger

The page of results to fetch. Defaults to first page

Example:page=1
per_pageinteger

How many results to return per page. Defaults to 15

Example:per_page=15
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
curl -i -X GET \
  'https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/contacts?page=1&per_page=15' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.11'

Responses

Successful

Bodyapplication/json
typestringrequired

The type of object - list

Value:"list"
Example:"list"
dataArray of objects(Contact)required

An array containing Contact Objects

total_countintegerrequired

The total number of contacts

Example:100

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
{ "type": "list", "data": [], "total_count": 0, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 0 } }